#
# spec file for package perl-Spooky-Patterns-XS
#
# Copyright (c) 2021 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           perl-Spooky-Patterns-XS
Version:        1.55
Release:        3.11
%define cpan_name Spooky-Patterns-XS
Summary:        Spooky::Patterns::XS Perl module
License:        GPL-2.0-or-later
Group:          Development/Libraries/Perl
URL:            http://search.cpan.org/dist/Spooky-Patterns-XS/
Source0:        Spooky-Patterns-XS-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  gcc-c++
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Algorithm::Diff)
BuildRequires:  perl(File::Slurp)
BuildRequires:  perl(Test::Deep)
ExclusiveArch:  x86_64 aarch64
%{perl_requires}

%description
Spooky::Patterns::XS Perl module

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes patterns_impl.cc SpookyV2.cpp
%license COPYING

%changelog
* Mon Nov  2 2020 Sebastian Riedel <sriedel@suse.com>
- Enable aarch64 builds
* Sun Oct 25 2020 Dirk Stoecker <opensuse@dstoecker.de>
- redownloaded source file
* Sat Jan 25 2020 Stephan Kulow <coolo@suse.com>
- 1.55: Ignore more tokens on matching
* Thu Jan 23 2020 Stephan Kulow <coolo@suse.com>
- 1.54: Add BagOfPatterns to calculcate closest pattern
* Tue Jan 14 2020 Stephan Kulow <coolo@suse.com>
- 1.53: Return all characters of last line
* Sat Jul 27 2019 Stephan Kulow <coolo@suse.com>
- 1.52: Record all matches even if they overlap at the start
* Mon Dec  4 2017 coolo@suse.com
- 1.51: Ignore skips at the end of a pattern
* Wed May 31 2017 coolo@suse.com
- Update to 1.50, needed for cavil
* Mon Mar  6 2017 coolo@suse.com
- initial package 1.0
  * created by cpanspec 1.78.08
